﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Assets.Scripts.Game;
using UnityEngine;

namespace Assets.Scripts.CircleComponents
{
    class CircleInputController : MonoBehaviour
    {
        private PressDetector _pressDetector;
        private Propeller[] _propellers;

        public void Start()
        {
            _propellers = FindObjectsOfType<Propeller>();

            _pressDetector = FindObjectOfType<PressDetector>();
            _pressDetector.OnPress += PressDetectorOnOnPress;
            _pressDetector.OnRelease += PressDetectorOnOnRelease;
        }

        public void OnDestroy()
        {
            if (_pressDetector != null)
            {
                _pressDetector.OnPress -= PressDetectorOnOnPress;
                _pressDetector.OnRelease -= PressDetectorOnOnRelease;
            }
        }

        private void PressDetectorOnOnRelease(object sender, EventArgs eventArgs)
        {
            foreach (var propeller in _propellers)
            {
                propeller.Stop();
            }
        }

        private void PressDetectorOnOnPress(object sender, EventArgs eventArgs)
        {
            foreach (var propeller in _propellers)
            {
                propeller.Fire();
            }
        }
    }
}
