﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Assets.Scripts.CircleComponents
{
    class CircleMassController : MonoBehaviour
    {
        public float MinMassRatio = 0.2f;

        private FuelTank _fuelTank;
        private Rigidbody2D _rigidbody2D;

        private float _originalMass;

        public void Awake()
        {
            _rigidbody2D = GetComponentInChildren<Rigidbody2D>();
            _fuelTank = GetComponentInChildren<FuelTank>();

            _originalMass = _rigidbody2D.mass;
        }

        public void FixedUpdate()
        {
            _rigidbody2D.mass = Mathf.Max(_originalMass * MinMassRatio, _originalMass * _fuelTank.AvailableFuel);
        }
    }
}
