﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DG.Tweening;
using UnityEngine;
using UnityEngine.UI;

namespace Assets.Scripts.CircleComponents
{
    class FuelTank : MonoBehaviour
    {
        public Image FuelImage;
        
        private float _availableFuel = 1;

        public float AvailableFuel
        {
            get { return _availableFuel; }
            set
            {
                _availableFuel = Mathf.Clamp01(value);
                RefreshFill();
            }
        }

        public void Start()
        {
            RefreshFill();
        }

        private void RefreshFill()
        {
            FuelImage.fillAmount = AvailableFuel;
        }
    }
}
