﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Assets.Scripts.Common;
using UnityEngine;

namespace Assets.Scripts.CircleComponents
{
    class PropellerRotator : MonoBehaviour
    {
        public float FuelConsumption = 0.1f;
        public float RotationSpeed = 10;
        public Propeller Propeller;
        public FuelTank FuelTank;

        private Rigidbody2D _rigidbody;

        public void Awake()
        {
            _rigidbody = GetComponentInParent<Rigidbody2D>();
        }

        public void FixedUpdate()
        {
            if (!Propeller.IsOn)
            {
                if (_rigidbody.isKinematic)
                {
                    transform.Rotate(new Vector3(0, 0, RotationSpeed));
                }
                else
                {
                    float requiredFuel = FuelConsumption * Time.deltaTime;
                    if (FuelTank.AvailableFuel >= requiredFuel)
                    {
                        FuelTank.AvailableFuel -= requiredFuel;
                        transform.Rotate(new Vector3(0, 0, RotationSpeed));
                    }
                }
            }
        }
    }
}
