﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Assets.Scripts.Common
{
    public static class BackButtonReceiver
    {
        public static GameObject ActiveReceiver
        {
            get
            {
                Receivers.RemoveAll(o => o == null);
                return Receivers.Count == 0 ? null : Receivers[Receivers.Count - 1];
            }
        }

        private static readonly List<GameObject> Receivers = new List<GameObject>(5); 

        public static void SetActiveReceiver(GameObject activeReceiver)
        {
            if (activeReceiver == null)
            {
                return;
            }
            Receivers.Remove(activeReceiver);
            Receivers.Add(activeReceiver);
        }

        public static void ReleaseReceiver(GameObject activeReceiver)
        {
            Receivers.Remove(activeReceiver);
        }
    }
}
