﻿using DG.Tweening;
using UnityEngine;

namespace Assets.Scripts.Common
{
    [RequireComponent(typeof(CanvasGroup))]
    class IntroFader : MonoBehaviour
    {
        private CanvasGroup _canvasGroup;
        private bool _didAnimate;
        private Tween _alphaTween;

        public void Awake()
        {
            _canvasGroup = GetComponent<CanvasGroup>();
        }
        
        public void OnEnable()
        {
            _didAnimate = false;
            _canvasGroup.alpha = 0;
            if (_alphaTween != null && _alphaTween.IsActive())
            {
                _alphaTween.Kill();
            }
        }

        public void Update()
        {
            if (!_didAnimate)
            {
                _alphaTween = DOTween.To(
                    () => _canvasGroup.alpha, value => _canvasGroup.alpha = value, 1,0.12f).SetEase(Ease.InQuad);
                _didAnimate = true;
            }
        }
    }
}
