﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;
using UnityEngine.EventSystems;

namespace Assets.Scripts.Common
{
    public class PhysicalDragThreshold : MonoBehaviour
    {
        private const float inchToCm = 2.54f;

        [SerializeField]
        private EventSystem eventSystem;

        [SerializeField]
        private float dragThresholdCM = 0.5f;

        void Start()
        {
            if (eventSystem == null)
            {
                eventSystem = GetComponent<EventSystem>();
            }
            SetDragThreshold();
        }

        private void SetDragThreshold()
        {
            if (eventSystem != null)
            {
                eventSystem.pixelDragThreshold = (int)(dragThresholdCM * Screen.dpi / inchToCm);
            }
        }
    }
}
