﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Assets.Scripts.Common
{
    public enum ResultStatus
    {
        None, Success, Failure, Cancelled
    }

    public class ResultEventArgs : EventArgs
    {
        public ResultStatus Status { get; set; }
        public string Message { get; set; }
        public object Obj { get; set; }

        public ResultEventArgs()
            : this(ResultStatus.None)
        {
        }

        public ResultEventArgs(bool success)
            : this(success ? ResultStatus.Success : ResultStatus.Failure, null)
        {
        }

        public ResultEventArgs(ResultStatus status)
            : this(status, null)
        {
            Status = status;
            Message = string.Empty;
        }

        public ResultEventArgs(bool success, object result)
            : this(success ? ResultStatus.Success : ResultStatus.Failure, result)
        {
            Obj = result;
        }

        public ResultEventArgs(ResultStatus status, object result)
        {
            Status = status;
            Message = string.Empty;
            Obj = result;
        }
    }
}
