﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CodeStage.AntiCheat.ObscuredTypes;

namespace Assets.Scripts.Data
{
    class ActiveLevelManager
    {
        public static ActiveLevelManager Instance
        {
            get { return _instance ?? (_instance = new ActiveLevelManager()); }
        }

        private static ActiveLevelManager _instance;
        private string _activeLevelIndex = "ActiveLevelIndex";

        public void SetActiveLevel(Guid levelID)
        {
            if (CachedLevelsData.Instance.LevelsData.LevelSequence.Contains(levelID))
            {
                ObscuredPrefs.SetInt(_activeLevelIndex,
                    CachedLevelsData.Instance.LevelsData.LevelSequence.IndexOf(levelID));
            }
        }

        public void SetLevelCompleted(Guid level)
        {
            if (level != Guid.Empty)
            {
                int nextLevelIndex = CachedLevelsData.Instance.LevelsData.LevelSequence.IndexOf(level) + 1;
                if (nextLevelIndex < CachedLevelsData.Instance.LevelsData.LevelSequence.Count)
                {
                    ObscuredPrefs.SetInt(_activeLevelIndex, nextLevelIndex);
                    return;
                }
            }

            ObscuredPrefs.DeleteKey(_activeLevelIndex);
        }

        public Guid GetActiveLevel()
        {
            if (ObscuredPrefs.HasKey(_activeLevelIndex))
            {
                int currentLevel = ObscuredPrefs.GetInt(_activeLevelIndex);
                if (currentLevel < CachedLevelsData.Instance.LevelsData.LevelSequence.Count)
                {
                    return CachedLevelsData.Instance.LevelsData.LevelSequence[currentLevel];
                }
            }

            foreach (var levelID in CachedLevelsData.Instance.LevelsData.LevelSequence)
            {
                if (!PlayerManager.Instance.CachedPlayerDataCopy.CompletedLevels.Contains(levelID))
                {
                    return levelID;
                }
            }

            return Guid.Empty;
        }
    }
}
