﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using UnityEngine;

namespace Assets.Scripts.Data
{
    public class CachedLevelsData
    {
        public static CachedLevelsData Instance
        {
            get
            {
                return _instance ?? (_instance = new CachedLevelsData());
            }
        }

        public readonly LevelsData LevelsData;

        private static CachedLevelsData _instance;

        private CachedLevelsData()
        {
            var serializer = new XmlSerializer(typeof(LevelsData));
            LevelsData = serializer.Deserialize(
                new StringReader(Resources.Load<TextAsset>("LevelsData").text)) as LevelsData;
        }
    }
}
