﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Assets.Scripts.Data
{
    static class GlobalConstants
    {
        public static string NoInternetMsg { get { return "No Internet connection found. Please try again later."; } }
        public static string GenericErrorMsg { get { return "An error occuried. Please try again later."; } }
        public static Bounds ScreenAreaInUnits { get; private set; }
        public static Bounds PlayArea { get; private set; }
        public static string BuildVersion { get { return "1.0.0"; } }
        public static string CenterObstacleTag { get { return "CenterObstacle"; } }
        public static string GameManagerTag { get { return "GameManager"; } }

        static GlobalConstants()
        {
            Vector2 screenSize = new Vector2(
                Camera.main.aspect * Camera.main.orthographicSize * 2,
                Camera.main.orthographicSize * 2);

            Rect screenAreaInUnitsRect = new Rect(
                Camera.main.transform.position.x - screenSize.x / 2,
                Camera.main.transform.position.y - (screenSize.y / 2),
                screenSize.x,
                screenSize.y);

            ScreenAreaInUnits = new Bounds(screenAreaInUnitsRect.center, screenAreaInUnitsRect.size);

            PlayArea = new Bounds(
                ScreenAreaInUnits.center,
                new Vector3(Camera.main.orthographicSize * 2 * 9f / 16f, ScreenAreaInUnits.size.y, 0));
        }
    }
}
