﻿using System;
using Assets.Scripts.CircleComponents;
using UnityEngine;
using UnityEngine.EventSystems;

namespace Assets.Scripts.FuelCellComponents
{
    class FuelCell : MonoBehaviour
    {
        public float FuelValue = 0.5f;

        public event EventHandler OnConsumed;

        public void OnTriggerEnter2D(Collider2D collision)
        {
            if (collision.gameObject.CompareTag("Circle"))
            {
                FuelTank fuelTank = collision.gameObject.GetComponentInChildren<FuelTank>();
                if (fuelTank != null)
                {
                    fuelTank.AvailableFuel += FuelValue;

                    if (OnConsumed != null)
                    {
                        OnConsumed(this, EventArgs.Empty);
                    }

                    Destroy(gameObject);
                }
            }
        }
    }
}
