﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Assets.Scripts.Data;
using UnityEngine;

namespace Assets.Scripts.Game
{
    class BorderManager : MonoBehaviour
    {
        public GameObject Border;

        public GameObject LeftBorder { get; private set; }
        public GameObject RightBorder { get; private set; }
        public GameObject TopBorder { get; private set; }
        public GameObject BottomBorder { get; private set; }

        public void Awake()
        {
            LeftBorder = Instantiate(Border);
            LeftBorder.name = "LeftBorder";
            LeftBorder.transform.SetParent(transform);

            RightBorder = Instantiate(Border);
            RightBorder.name = "RightBorder";
            RightBorder.transform.SetParent(transform);

            TopBorder = Instantiate(Border);
            TopBorder.name = "TopBorder";
            TopBorder.transform.SetParent(transform);

            BottomBorder = Instantiate(Border);
            BottomBorder.name = "BottomBorder";
            BottomBorder.transform.SetParent(transform);

            LeftBorder.transform.localScale = new Vector3(
                GlobalConstants.PlayArea.size.y / LeftBorder.GetComponent<Collider2D>().bounds.size.x,
                LeftBorder.transform.localScale.y, LeftBorder.transform.localScale.z);
            LeftBorder.transform.rotation = Quaternion.Euler(0, 0, 90);
            LeftBorder.transform.position = new Vector3(GlobalConstants.PlayArea.min.x,
                GlobalConstants.PlayArea.center.y);

            RightBorder.transform.localScale = LeftBorder.transform.localScale;
            RightBorder.transform.rotation = LeftBorder.transform.rotation;
            RightBorder.transform.position = new Vector3(GlobalConstants.PlayArea.max.x,
                GlobalConstants.PlayArea.center.y);

            TopBorder.transform.localScale = new Vector3(
                GlobalConstants.PlayArea.size.x / TopBorder.GetComponent<Collider2D>().bounds.size.x,
                TopBorder.transform.localScale.y, TopBorder.transform.localScale.z);
            TopBorder.transform.position = new Vector3(GlobalConstants.PlayArea.center.x,
                GlobalConstants.PlayArea.max.y);

            BottomBorder.transform.localScale = TopBorder.transform.localScale;
            BottomBorder.transform.position = new Vector3(GlobalConstants.PlayArea.center.x,
                GlobalConstants.PlayArea.min.y);
        }
    }
}
