﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Assets.Scripts.Game
{
    partial class GameManager
    {
        private class StateAwaitingStart : IGameManagerState
        {
            private GameManager _gameManager;

            public StateAwaitingStart(GameManager gameManager)
            {
                _gameManager = gameManager;
            }

            public void Activate(object obj)
            {
                _gameManager._circle.GetComponentInChildren<Rigidbody2D>().isKinematic = true;
                _gameManager._pressDetector.OnPress += PressDetectorOnOnPress;
            }

            public void Deactivate()
            {
                _gameManager._circle.GetComponentInChildren<Rigidbody2D>().isKinematic = false;
            }

            public void Update()
            {
                if (Math.Abs(_gameManager._circle.FuelTank.AvailableFuel) < 0.01f)
                {
                    _gameManager._stateManager.SetState(_gameManager._stateGameOver);
                }
            }

            private void PressDetectorOnOnPress(object sender, EventArgs eventArgs)
            {
                _gameManager._pressDetector.OnPress -= PressDetectorOnOnPress;
                _gameManager._stateManager.SetState(_gameManager._statePlay);
            }
        }
    }
}
