﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Assets.Scripts.Game
{
    partial class GameManager
    {
        private class StatePlay : IGameManagerState
        {
            private GameManager _gameManager;

            public StatePlay(GameManager gameManager)
            {
                _gameManager = gameManager;
            }

            public void Activate(object obj)
            {
            }

            public void Deactivate()
            {
            }

            public void Update()
            {
                bool isGameOver = _gameManager._circle == null ||
                                  _gameManager._fuelCellsSequencer.ConsumedFuelCells
                                  == _gameManager._fuelCellsSequencer.TotalFuelCells;
                bool isStuck = _gameManager._fuelCellsSequencer.ConsumedFuelCells
                               < _gameManager._fuelCellsSequencer.TotalFuelCells
                               && (_gameManager._circle != null 
                               && Math.Abs(_gameManager._circle.FuelTank.AvailableFuel) < 0.01f
                               && _gameManager._circle.Rigidbody2D.IsSleeping());

                if (isGameOver || isStuck)
                {
                    _gameManager._stateManager.SetState(_gameManager._stateGameOver);
                }
            }
        }
    }
}