﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Assets.Scripts.Common;
using Assets.Scripts.Data;
using UnityEngine;

namespace Assets.Scripts.Game
{
    class VisualBorderManager : MonoBehaviour
    {
        public SpriteRenderer VisualBorderPrefab;
        [Range(0, 1)]
        public float BorderDarken = 0.9f;

        public void Start()
        {
            if (GlobalConstants.ScreenAreaInUnits.size.x > GlobalConstants.PlayArea.size.x)
            {
                Color borderColor = new Color(
                    Camera.main.backgroundColor.r * BorderDarken,
                    Camera.main.backgroundColor.g * BorderDarken,
                    Camera.main.backgroundColor.b * BorderDarken, 1);

                var rightBorder = Instantiate(VisualBorderPrefab);
                rightBorder.transform.SetParent(transform);
                rightBorder.color = borderColor;
                Bounds rightBorderBounds = new Bounds();
                rightBorderBounds.size = new Vector3(
                    GlobalConstants.ScreenAreaInUnits.size.x - GlobalConstants.PlayArea.size.x,
                    GlobalConstants.ScreenAreaInUnits.size.y, 0);
                rightBorder.transform.localScale = Helper.GetScaleForSize(rightBorderBounds.size, rightBorder);
                rightBorder.transform.position = new Vector3(
                    GlobalConstants.PlayArea.max.x + (rightBorderBounds.size.x / 2f),
                    GlobalConstants.ScreenAreaInUnits.center.y);

                var leftBorder = Instantiate(VisualBorderPrefab);
                leftBorder.transform.SetParent(transform);
                leftBorder.color = borderColor;
                Bounds leftBorderBounds = new Bounds();
                leftBorderBounds.size = new Vector3(
                    GlobalConstants.ScreenAreaInUnits.size.x - GlobalConstants.PlayArea.min.x,
                    GlobalConstants.ScreenAreaInUnits.size.y, 0);
                leftBorder.transform.localScale = Helper.GetScaleForSize(leftBorderBounds.size, leftBorder);
                leftBorder.transform.position = new Vector3(
                    GlobalConstants.PlayArea.min.x - (leftBorderBounds.size.x / 2f),
                    GlobalConstants.ScreenAreaInUnits.center.y);
            }
        }
    }
}
