﻿using System;
using System.Globalization;
using Assets.Scripts.Data;
using UnityEngine;
using UnityEngine.UI;

namespace Assets.Scripts.LevelsScreenUtils
{
    class LevelButton : MonoBehaviour
    {
        public Image Background;
        public Image LockImage;
        public Sprite EmptyBackground;
        public Sprite FilledBackground;
        public Text NumberText;

        public LevelState State { get; private set; }
        public Guid LevelID { get; private set; }

        public void Initialize(int levelIndex, Guid levelID, LevelState state)
        {
            NumberText.text = (levelIndex + 1).ToString(CultureInfo.InvariantCulture);
            State = state;
            LevelID = levelID;

            switch (State)
            {
                case LevelState.Complete:
                    LockImage.gameObject.SetActive(false);
                    NumberText.gameObject.SetActive(true);
                    Background.sprite = FilledBackground;
                    NumberText.color = Color.black;
                    break;
                case LevelState.Incomplete:
                    LockImage.gameObject.SetActive(false);
                    NumberText.gameObject.SetActive(true);
                    Background.sprite = EmptyBackground;
                    NumberText.color = Color.white;
                    break;
                case LevelState.Locked:
                    LockImage.gameObject.SetActive(true);
                    NumberText.gameObject.SetActive(false);
                    Background.sprite = EmptyBackground;
                    NumberText.color = Color.white;
                    break;
                default:
                    throw new ArgumentOutOfRangeException("state");
            }
        }
    }
}
