﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Assets.Scripts.Data;
using UnityEngine;
using UnityEngine.UI;

namespace Assets.Scripts.OptionsScreenUtils
{
    [RequireComponent(typeof(Image))]
    class MusicToggleButton : MonoBehaviour
    {
        public Color InactiveColor;

        private Image _buttonImage;

        public void OnEnable()
        {
            InvokeRepeating("Refresh", 0, 0.05f);
        }

        public void OnDisable()
        {
            CancelInvoke("Refresh");
        }

        private void Refresh()
        {
            if (_buttonImage == null)
            {
                _buttonImage = GetComponent<Image>();
            }
            _buttonImage.color = GlobalSettings.MusicEnabled ? Color.white : InactiveColor;
        }
    }
}
