﻿using Assets.Scripts.Common;
using Assets.Scripts.Data;
using Assets.Scripts.Game;
using Assets.Scripts.LevelsScreenUtils;
using UnityEngine;

namespace Assets.Scripts.OptionsScreenUtils
{
    class OptionsScreen : MonoBehaviour
    {
        public ScreenManager ScreenManager;
        public LevelsGameScreen LevelsGameScreen;
        public GameObject Background;

        public void OnEnable()
        {
            if (!Background.activeSelf)
            {
                Background.SetActive(true);
            }
        }

        public void ToggleSound()
        {
            GlobalSettings.SFXEnabled = !GlobalSettings.SFXEnabled;
        }

        public void ToggleMusic()
        {
            GlobalSettings.MusicEnabled = !GlobalSettings.MusicEnabled;
        }

        public void LaunchFacebookPage()
        {
            GameHelper.LaunchFacebookPage();
        }

        public void LaunchRate()
        {
            GameHelper.LaunchAppRate();
        }

        public void Back()
        {
            ScreenManager.CloseCurrent();
            if (Background.activeSelf)
            {
                Background.SetActive(false);
            }
        }

        public void LaunchTwitter()
        {
            
        }

        public void LaunchSupportEmail()
        {
            
        }

        public void LaunchPopcornChef()
        {
            
        }

        public void LaunchLevelsScreen()
        {
            ScreenManager.OpenPanel(LevelsGameScreen.gameObject);
        }
    }
}
